Package twisted :: Package enterprise :: Module adbapi :: Class Augmentation |
[show private | hide private]
[frames | no frames]

## Class Augmentation

Known Subclasses:
  `DatabaseAuthorizer`, `SQLReflector`, `NewsStorageAugmentation`

A class which augments a database connector with some functionality.

Conventional usage of me is to write methods that look like

    >>>  def getSomeData(self, critereon):
    >>>      return self.runQuery("SELECT * FROM FOO WHERE BAR LIKE '%%%s%%'" % critereon).addCallback(self.processResult)

Method Summary
| `__init__(self, dbpool)`
| `__setstate__(self, state)`
| `createSchema(self)`
| ``operationDone`(self, done)` Example callback for database operation success.
| ``operationError`(self, error)` Example callback for database operation failure.
| `runInteraction(self, interaction, *args, **kw)`
| `runOperation(self, *args, **kw)`
| `runQuery(self, *args, **kw)`
| `schemaCreated(self, result)`
| `schemaNotCreated(self, error)`

Class Variable Summary
`str` | `schema`

Method Details

### operationDone(self, done) Example callback for database operation success. Override this, and/or define your own callbacks.

### operationError(self, error) Example callback for database operation failure. Override this, and/or define your own callbacks.

Class Variable Details

    ### schema Type: `str` Value:
        ' Insert your SQL database schema here. '

Generated by Epydoc 1.1 on Thu May 8 13:16:24 2003 | http://epydoc.sf.net